/*
 * This file is a part of DHCP client for TOPPERS/ASP w/ TINET
 * Copyright 2012(C) by A.GOTANDA
 */

#ifndef __DHCP_STATE_GEN_DATA

#ifndef __DHCP_STATE_H
#define __DHCP_STATE_H

#define	__DHCP_DEF_STATE_BEG	enum dhcp_state_name {
#define	__DHCP_DEF_STATE(__n__)	    DHCP_STATE_ ## __n__
#define	__DHCP_DEF_STATE_END	}

#endif /* __DHCP_STATE_H */

#else /* __DHCP_STATE_GEN_DATA */

#define	__DHCP_DEF_STATE_BEG	struct dhcp_state_table {	\
				    const int	id;		\
				    const char *name;		\
				} dhcp_state_table[] = {
#define	__DHCP_DEF_STATE(__n__)	    { DHCP_STATE_ ## __n__, #__n__ }
#define	__DHCP_DEF_STATE_END	    { -1, NULL }		\
				}

#endif /* __DHCP_STATE_GEN_DATA */

__DHCP_DEF_STATE_BEG
__DHCP_DEF_STATE(INIT),
__DHCP_DEF_STATE(SELECTING),
__DHCP_DEF_STATE(REQUESTING),
__DHCP_DEF_STATE(INITREBOOT),
__DHCP_DEF_STATE(BOUND),
__DHCP_DEF_STATE(RENEWING),
__DHCP_DEF_STATE(REBINDING),
__DHCP_DEF_STATE_END;

#undef __DHCP_DEF_STATE_BEG
#undef __DHCP_DEF_STATE
#undef __DHCP_DEF_STATE_END
